#!/usr/bin/perl -I lib
## for testing: perl delete_iptc_location.pl /Users/frankreiff/Desktop/temp_sample_files/302-0208.JPG /Users/frankreiff/Desktop/temp_sample_files/temp.JPG

use strict;
use warnings;
use Image::ExifTool qw(:Public);

# don't buffer
BEGIN { $| = 1 }

my $path = $ARGV[0];
my $temp_path = $ARGV[1];

print "set.pl\n";
print "path: $path\n";
print "temp_path: $temp_path\n";

my $exifTool = new Image::ExifTool;
$exifTool->Options(IgnoreMinorErrors => 1, LargeFileSupport => 1);
my $info = $exifTool->ImageInfo($path);

$exifTool->SetNewValue( "City" );
$exifTool->SetNewValue( "Country" );
$exifTool->SetNewValue( "State" );
$exifTool->SetNewValue( "Province-State" );
$exifTool->SetNewValue( "Country-PrimaryLocationCode" );

my $success = 1;

if( $temp_path eq "<none>" ) {
    $success = $exifTool->WriteInfo($path);
} else {
    $success = $exifTool->WriteInfo($path, $temp_path);
}

if( $success ) {
    exit(0);
} else {
    
    my $error_message = $exifTool->GetValue('Error');
    print "exiftool error message: $error_message";
    exit(1);
}

# read standard input
#while (<>) {
#
#	# get rid of trailing new line (if present)
#	chomp;
#
#	# get exif tags info
#	my $info = ImageInfo($_);
#
#	# print the contents, key<newline>value
#	foreach my $key (keys %$info) {
#		print "$key\n";
#		print "$$info{$key}\n";
#	}

# finished this record
#	print "-<-do-not_use_thisInMetaData-Finished-->";

#}
