#!/usr/bin/perl -I lib
use strict;
use warnings;
use Image::ExifTool qw(:Public);
use MIME::Base64;

# don't buffer
BEGIN { $| = 1 }

my $path = $ARGV[0];
my $temp_path = $ARGV[1];

print "set.pl\n";
print "path: $path\n";
print "temp_path: $temp_path\n";

my $exifTool = new Image::ExifTool;
$exifTool->Options(IgnoreMinorErrors => 1, quicktimeutc => 1, quicktimeutc => 1, LargeFileSupport => 1);

my $info = $exifTool->ImageInfo($path);

for (my $i = 2; $i < $#ARGV+1; $i += 2) {

    my $tag = $ARGV[$i];
    my $value = decode_base64($ARGV[$i+1]);

    if( $tag eq "GPSCoordinates" ) {
        $tag = "Keys:GPSCoordinates";
    }
  
    print "tag: $value\n";
    print "value: $value\n";
    
    $exifTool->SetNewValue( $tag => $value );
}

my $success = 1;

if( $temp_path eq "<none>" ) {
    $success = $exifTool->WriteInfo($path);
} else {
    $success = $exifTool->WriteInfo($path, $temp_path);
}

if( $success ) {
    exit(0);
} else {
	
	my $error_message = $exifTool->GetValue('Error');
	print "exiftool error message: $error_message";
    exit(1);
}

# read standard input
#while (<>) {
#
#	# get rid of trailing new line (if present)
#	chomp;
#
#	# get exif tags info
#	my $info = ImageInfo($_);
#
#	# print the contents, key<newline>value
#	foreach my $key (keys %$info) {
#		print "$key\n";
#		print "$$info{$key}\n";
#	}

# finished this record
#	print "-<-do-not_use_thisInMetaData-Finished-->";

#}
